import React from 'react'
import { baseURL } from '@/utils/http'

type Props = {
  imgName: string
  clickSon: () => void
  title: '返回' | '跳过'
}

function BtnRight({ imgName, clickSon, title }: Props) {
  return (
    <div title={title} id='BtnRight' onClick={clickSon}>
      <img className='BtnRight1' src={`${baseURL}btn/${imgName}.png`} alt='' />
      <img className='BtnRight2' src={`${baseURL}btn/${imgName}Ac.png`} alt='' />
    </div>
  )
}

const MemoBtnRight = React.memo(BtnRight)

export default MemoBtnRight
